//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include <iostream>
#include <queue>
#include <string>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{

  queue<string> q;

  //     
  q.push(ToRus(" "));
  q.push(ToRus(". "));
  q.push(ToRus(""));

  //       
  cout << ToRus("      : \n");
  cout << q.front();
  q.pop();
  cout << q.front();
  q.pop();
  cout << endl;

  //    
  q.push(ToRus(" "));
  q.push(ToRus("!"));

  //   
  q.pop();

  //     
  cout << ToRus("    : \n");
  cout << q.front();
  q.pop();
  cout << q.front() << endl;
  q.pop();

  //     
  cout << ToRus("   : ") << q.size()
       << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------